﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UnityEngine;

/// <summary>
/// Коробка
/// </summary>
public class Wall
{
    public uint id = 0;
    public float start_width { get; set; }
    public float start_height { get; set; }
    public float end_width { get; set; }
    public float end_height { get; set; }
    public GameObject go;

    public static void SaveAll()
    {
        Debug.Log("WallObjects count " + WallCreate.WallObjects.Count);
        if (WallCreate.WallObjects.Count > 0)
        {
            List<byte> list = new List<byte>();

            foreach (var w in WallCreate.WallObjects)
            {
                list.AddRange(BitConverter.GetBytes(w.id));
                list.AddRange(BitConverter.GetBytes(w.start_width));
                list.AddRange(BitConverter.GetBytes(w.start_height));
                list.AddRange(BitConverter.GetBytes(w.end_width));
                list.AddRange(BitConverter.GetBytes(w.end_height));
                Debug.Log($"wall save id {w.id}  x {w.start_width} z {w.start_height} x2 {w.end_width} z2 {w.end_height}");
            }

            var tosend = Client.ConstructVariablePacket(50, list.ToArray());
            Client.SendEnqueue(tosend);
        }
    }

}